org.codehaus.groovy.runtime.metaclass

## Class MetaMethodIndex.Header

- java.lang.Object
- - org.codehaus.groovy.runtime.metaclass.MetaMethodIndex.Header

- Enclosing class:
    MetaMethodIndex

      public static class MetaMethodIndex.Header
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `clsHashCode31`
    `MetaMethodIndex.Entry` | `head`
    `java.lang.Class` | `subclass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetaMethodIndex.Header(java.lang.Class cls)`
    `MetaMethodIndex.Header(java.lang.Class cls, java.lang.Class subclass)`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### head

          public MetaMethodIndex.Entry head

    - #### clsHashCode31

          public int clsHashCode31

    - #### subclass

          public java.lang.Class subclass

  - ### Constructor Detail

    - #### MetaMethodIndex.Header

          public MetaMethodIndex.Header(java.lang.Class cls)

    - #### MetaMethodIndex.Header

          public MetaMethodIndex.Header(java.lang.Class cls,
                                java.lang.Class subclass)